import * as azure from "@pulumi/azure";
import * as pulumi from "@pulumi/pulumi";
declare type Diff<T extends string | number | symbol, U extends string | number | symbol> = ({
    [P in T]: P;
} & {
    [P in U]: never;
} & {
    [x: string]: never;
})[T];
export declare type Overwrite<T, U> = Pick<T, Diff<keyof T, keyof U>> & U;
export declare function signedBlobReadUrl(blob: azure.storage.Blob | azure.storage.ZipBlob, account: azure.storage.Account, container: azure.storage.Container): pulumi.Output<string>;
export {};
